Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 308)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 309)
@@ -14,7 +14,7 @@
         /// <summary>
         /// 本体バージョン
         /// </summary>
-        public static int s_SystemVersion = 125;
+        public static int s_SystemVersion = 126;
 
         /// <summary>
         /// コピー・環境バージョン
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReserveEntry/FrmMaterialReserveEntry.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReserveEntry/FrmMaterialReserveEntry.cs	(revision 308)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReserveEntry/FrmMaterialReserveEntry.cs	(revision 309)
@@ -382,13 +382,14 @@
                 if (e.ColumnIndex == (int)DispColumn.RowState) return;
 
                 DataGridView dgv = dgvMaster;
+                DataGridViewRow CurRow = dgv.Rows[e.RowIndex];
 
                 // null値は処理しない
-                if (dgv.Rows[e.RowIndex].Cells[e.ColumnIndex].Value == null) return;
+                if (CurRow.Cells[e.ColumnIndex].Value == null) return;
 
                 // 値のチェック（同じ場合は変更フラグをONにしない）
                 if (m_CheckCol != e.ColumnIndex || m_CheckRow != e.RowIndex) return;
-                int CurVal = CommonMotions.cnvInt(dgv[e.ColumnIndex, e.RowIndex].Value);
+                int CurVal = CommonMotions.cnvInt(CurRow.Cells[e.ColumnIndex].Value);
                 if (CommonMotions.cnvInt(m_BeforeValue) == CurVal) return;
 
                 // 返却予定日の処理
@@ -395,11 +396,11 @@
                 if (e.ColumnIndex == (int)DispColumn.RepayPlanDate) FormatRepayPlanDate(e);
 
                 // 値が変わればツールチップを変更する
-                dgv.Rows[e.RowIndex].Cells[e.ColumnIndex].ToolTipText = CommonMotions.cnvString(dgv.Rows[e.RowIndex].Cells[e.ColumnIndex].Value);
+                CurRow.Cells[e.ColumnIndex].ToolTipText = CommonMotions.cnvString(CurRow.Cells[e.ColumnIndex].Value);
 
                 // 行に変更フラグをON
-                if ((DataRowState)dgv.Rows[e.RowIndex].Cells[(int)DispColumn.RowState].Value == DataRowState.Unchanged)
-                    dgv.Rows[e.RowIndex].Cells[(int)DispColumn.RowState].Value = DataRowState.Modified;
+                if ((DataRowState)CurRow.Cells[(int)DispColumn.RowState].Value == DataRowState.Unchanged)
+                    CurRow.Cells[(int)DispColumn.RowState].Value = DataRowState.Modified;
 
                 // 変更フラグON
                 m_bChengeAns = true;
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMateRetEntAux.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMateRetEntAux.cs	(revision 308)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMateRetEntAux.cs	(revision 309)
@@ -523,9 +523,9 @@
                 sql.AppendFormat(" And Mri.RECKIND = {0}", (int)MaterialRecordInfo.RecKindDef.Rental);
 
                 sql.AppendLine(" order by");
-                sql.AppendLine("   Mkm.DisplayOrder");
-                sql.AppendLine("   , Mim.DisplayOrder ");
-                sql.AppendLine("   , ProcessDate"); 
+                sql.AppendLine("   Mkm.DisplayOrder ASC");
+                sql.AppendLine("   , Mim.DisplayOrder ASC");
+                sql.AppendLine("   , ProcessDate DESC");
 
                 // データ取得
                 if (!IoCmi.ExecuteReader(sql.ToString(), ref arData)) return false;
@@ -549,10 +549,6 @@
                     ReadDataKey[1] = CommonMotions.cnvInt(work[(int)DataColumn.MaterialItemCode]);
                     dtReadRentProcessDate = CommonMotions.cnvDate(work[(int)DataColumn.RentProcessDate]).Date;
 
-                    if (ReadDataKey[1] == 100)
-                    {
-                        Debug.WriteLine("");
-                    }
                     // 種類・品目が違えば表示
                     if (BreakKey[0] == ReadDataKey[0] && BreakKey[1] == ReadDataKey[1] && dtBreakRentProcessDate == dtReadRentProcessDate)
                     {
@@ -582,10 +578,8 @@
                     obiSumRec[(int)DispColumn.MaterialItemCode] = work[(int)DataColumn.MaterialItemCode];
                     obiSumRec[(int)DispColumn.MaterialItemName] = work[(int)DataColumn.MaterialItemName];
                     obiSumRec[(int)DispColumn.MaterialItemDisplayOrder] = work[(int)DataColumn.ItemDisp];
-                    if (CommonMotions.cnvInt(work[(int)DataColumn.RecKind]) == (int)MaterialRecordInfo.RecKindDef.Rental)
-                    {
-                        obiSumRec[(int)DispColumn.RepayPlanDate] = work[(int)DataColumn.RepayPlanDate];
-                    }
+                    obiSumRec[(int)DispColumn.RentProcessDate] = work[(int)DataColumn.RentProcessDate];
+                    obiSumRec[(int)DispColumn.RepayPlanDate] = work[(int)DataColumn.RepayPlanDate];
                     obiSumRec[(int)DispColumn.RentCount] = work[(int)DataColumn.RentCount];
                     obiSumRec[(int)DispColumn.RepayCount] = work[(int)DataColumn.RepayCount];
                     obiSumRec[(int)DispColumn.JunkCount] = work[(int)DataColumn.JunkCount];
@@ -598,7 +592,6 @@
                         obiSumRec[(int)DispColumn.CommentText] = work[(int)DataColumn.CommentText];
                     }
                     
-                    obiSumRec[(int)DispColumn.RentProcessDate] = work[(int)DataColumn.RentProcessDate];
                     obiSumRec[(int)DispColumn.ComplateFlg] = work[(int)DataColumn.CompleteFlg];
                 }
 
@@ -690,14 +683,19 @@
                 }
                 else
                 {
+                    // ----- 書込み禁止
+                    int nColumnMax = Enum.GetNames(typeof(DispColumn)).Length;
+                    for (int i = (int)DispColumn.MaterialItemCode; i < nColumnMax; i++)
+                    {
+                        // 返却終了は文字色を変える
+                        dgvMaster.Rows[icnt].Cells[i].Style.ForeColor = Color.Gray;
+                        // 返却終了は入力ロック
+                        if (i <= (int)DispColumn.RentCount) dgvMaster.Rows[icnt].Cells[i].ReadOnly = true;
+                    }
+                    // 日付文字色変更
                     dgvMaster.Rows[icnt].Cells[(int)DispColumn.RepayPlanDate].Style.ForeColor = Color.White;
                     dgvMaster.Rows[icnt].Cells[(int)DispColumn.RepayPlanDate].Style.BackColor = Color.Black;
                     nCompCnt++;
-                    // 書込み禁止
-                    for (int i = (int)DispColumn.RentCount; i < (int)DispColumn.ComplateFlg; i++)
-                    {
-                        dgvMaster.Rows[icnt].Cells[i].ReadOnly = true;
-                    }
                 }
                 dgvMaster.Rows[icnt].Cells[(int)DispColumn.RentProcessDate].Value = CommonMotions.cnvDate(work[(int)DispColumn.RentProcessDate]).ToShortDateString();
                 dgvMaster.Rows[icnt].Cells[(int)DispColumn.ComplateFlg].Value = CommonMotions.cnvInt(work[(int)DispColumn.ComplateFlg]);
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.cs	(revision 308)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.cs	(revision 309)
@@ -53,6 +53,7 @@
             MaterialItemCode,
             MaterialItemName,
             MaterialItemDisplayOrder,
+            RentProcessDate,
             RepayPlanDate,
             RentCount,
             RepayCount,
@@ -61,7 +62,6 @@
             MaterialDumpCount,
             MaterialCountBefore,
             CommentText,
-            RentProcessDate,
             ComplateFlg,
         }
         #endregion
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.designer.cs	(revision 308)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.designer.cs	(revision 309)
@@ -31,7 +31,7 @@
         private void InitializeComponent()
         {
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle1 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle11 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle13 = new System.Windows.Forms.DataGridViewCellStyle();
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle2 = new System.Windows.Forms.DataGridViewCellStyle();
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle3 = new System.Windows.Forms.DataGridViewCellStyle();
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle4 = new System.Windows.Forms.DataGridViewCellStyle();
@@ -41,6 +41,8 @@
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle8 = new System.Windows.Forms.DataGridViewCellStyle();
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle9 = new System.Windows.Forms.DataGridViewCellStyle();
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle10 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle11 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle12 = new System.Windows.Forms.DataGridViewCellStyle();
             this.label1 = new System.Windows.Forms.Label();
             this.btnEnd = new System.Windows.Forms.Button();
             this.btnDataEntry = new System.Windows.Forms.Button();
@@ -66,6 +68,7 @@
             this.Column10 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column11 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column18 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column14 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column4 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column5 = new System.Windows.Forms.DataGridViewTextBoxColumn();
@@ -74,7 +77,6 @@
             this.Column13 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column12 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column7 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.Column15 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column16 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.groupBoxEx2.SuspendLayout();
             this.groupBoxEx1.SuspendLayout();
@@ -320,6 +322,7 @@
             this.Column10,
             this.Column3,
             this.Column11,
+            this.Column18,
             this.Column14,
             this.Column4,
             this.Column5,
@@ -328,20 +331,19 @@
             this.Column13,
             this.Column12,
             this.Column7,
-            this.Column15,
             this.Column16});
             this.dgvMaster.EnableHeadersVisualStyles = false;
             this.dgvMaster.Location = new System.Drawing.Point(5, 6);
             this.dgvMaster.MultiSelect = false;
             this.dgvMaster.Name = "dgvMaster";
-            dataGridViewCellStyle11.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle11.BackColor = System.Drawing.SystemColors.Control;
-            dataGridViewCellStyle11.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle11.ForeColor = System.Drawing.SystemColors.WindowText;
-            dataGridViewCellStyle11.SelectionBackColor = System.Drawing.SystemColors.Highlight;
-            dataGridViewCellStyle11.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
-            dataGridViewCellStyle11.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
-            this.dgvMaster.RowHeadersDefaultCellStyle = dataGridViewCellStyle11;
+            dataGridViewCellStyle13.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle13.BackColor = System.Drawing.SystemColors.Control;
+            dataGridViewCellStyle13.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle13.ForeColor = System.Drawing.SystemColors.WindowText;
+            dataGridViewCellStyle13.SelectionBackColor = System.Drawing.SystemColors.Highlight;
+            dataGridViewCellStyle13.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
+            dataGridViewCellStyle13.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
+            this.dgvMaster.RowHeadersDefaultCellStyle = dataGridViewCellStyle13;
             this.dgvMaster.RowHeadersVisible = false;
             this.dgvMaster.RowHeadersWidth = 20;
             this.dgvMaster.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.CellSelect;
@@ -402,7 +404,7 @@
             this.Column3.ReadOnly = true;
             this.Column3.Resizable = System.Windows.Forms.DataGridViewTriState.False;
             this.Column3.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.Column3.Width = 300;
+            this.Column3.Width = 325;
             // 
             // Column11
             // 
@@ -410,80 +412,92 @@
             this.Column11.Name = "Column11";
             this.Column11.Visible = false;
             // 
+            // Column18
+            // 
+            dataGridViewCellStyle5.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle5.Font = new System.Drawing.Font("Century", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            dataGridViewCellStyle5.ForeColor = System.Drawing.Color.Black;
+            this.Column18.DefaultCellStyle = dataGridViewCellStyle5;
+            this.Column18.HeaderText = "貸出日";
+            this.Column18.Name = "Column18";
+            this.Column18.ReadOnly = true;
+            this.Column18.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.Column18.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            // 
             // Column14
             // 
-            dataGridViewCellStyle5.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle5.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-            this.Column14.DefaultCellStyle = dataGridViewCellStyle5;
+            dataGridViewCellStyle6.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle6.Font = new System.Drawing.Font("Century", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            dataGridViewCellStyle6.ForeColor = System.Drawing.Color.Black;
+            this.Column14.DefaultCellStyle = dataGridViewCellStyle6;
             this.Column14.HeaderText = "返却予定日";
             this.Column14.Name = "Column14";
             this.Column14.ReadOnly = true;
             this.Column14.Resizable = System.Windows.Forms.DataGridViewTriState.False;
             this.Column14.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.Column14.Width = 125;
             // 
             // Column4
             // 
-            dataGridViewCellStyle6.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            dataGridViewCellStyle6.BackColor = System.Drawing.Color.WhiteSmoke;
-            dataGridViewCellStyle6.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-            dataGridViewCellStyle6.Format = "#,0";
-            this.Column4.DefaultCellStyle = dataGridViewCellStyle6;
+            dataGridViewCellStyle7.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle7.BackColor = System.Drawing.Color.WhiteSmoke;
+            dataGridViewCellStyle7.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            dataGridViewCellStyle7.Format = "#,0";
+            this.Column4.DefaultCellStyle = dataGridViewCellStyle7;
             this.Column4.HeaderText = "貸出数";
             this.Column4.Name = "Column4";
             this.Column4.ReadOnly = true;
             this.Column4.Resizable = System.Windows.Forms.DataGridViewTriState.False;
             this.Column4.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.Column4.Width = 90;
+            this.Column4.Width = 80;
             // 
             // Column5
             // 
-            dataGridViewCellStyle7.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            dataGridViewCellStyle7.BackColor = System.Drawing.Color.WhiteSmoke;
-            dataGridViewCellStyle7.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-            dataGridViewCellStyle7.Format = "#,0";
-            this.Column5.DefaultCellStyle = dataGridViewCellStyle7;
+            dataGridViewCellStyle8.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle8.BackColor = System.Drawing.Color.WhiteSmoke;
+            dataGridViewCellStyle8.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            dataGridViewCellStyle8.Format = "#,0";
+            this.Column5.DefaultCellStyle = dataGridViewCellStyle8;
             this.Column5.HeaderText = "返却済数";
             this.Column5.Name = "Column5";
             this.Column5.ReadOnly = true;
             this.Column5.Resizable = System.Windows.Forms.DataGridViewTriState.False;
             this.Column5.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.Column5.Width = 90;
+            this.Column5.Width = 80;
             // 
             // Column17
             // 
-            dataGridViewCellStyle8.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            dataGridViewCellStyle8.BackColor = System.Drawing.Color.WhiteSmoke;
-            dataGridViewCellStyle8.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-            this.Column17.DefaultCellStyle = dataGridViewCellStyle8;
+            dataGridViewCellStyle9.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle9.BackColor = System.Drawing.Color.WhiteSmoke;
+            dataGridViewCellStyle9.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.Column17.DefaultCellStyle = dataGridViewCellStyle9;
             this.Column17.HeaderText = "破棄済数";
             this.Column17.Name = "Column17";
             this.Column17.ReadOnly = true;
             this.Column17.Resizable = System.Windows.Forms.DataGridViewTriState.False;
             this.Column17.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.Column17.Width = 90;
+            this.Column17.Width = 80;
             // 
             // Column6
             // 
-            dataGridViewCellStyle9.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            dataGridViewCellStyle9.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-            this.Column6.DefaultCellStyle = dataGridViewCellStyle9;
+            dataGridViewCellStyle10.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle10.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.Column6.DefaultCellStyle = dataGridViewCellStyle10;
             this.Column6.HeaderText = "返却数";
             this.Column6.Name = "Column6";
             this.Column6.Resizable = System.Windows.Forms.DataGridViewTriState.False;
             this.Column6.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.Column6.Width = 90;
+            this.Column6.Width = 80;
             // 
             // Column13
             // 
-            dataGridViewCellStyle10.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            dataGridViewCellStyle10.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-            this.Column13.DefaultCellStyle = dataGridViewCellStyle10;
+            dataGridViewCellStyle11.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle11.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.Column13.DefaultCellStyle = dataGridViewCellStyle11;
             this.Column13.HeaderText = "破棄数";
             this.Column13.Name = "Column13";
             this.Column13.Resizable = System.Windows.Forms.DataGridViewTriState.False;
             this.Column13.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.Column13.Width = 90;
+            this.Column13.Width = 80;
             // 
             // Column12
             // 
@@ -493,19 +507,15 @@
             // 
             // Column7
             // 
+            dataGridViewCellStyle12.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            dataGridViewCellStyle12.ForeColor = System.Drawing.Color.Black;
+            this.Column7.DefaultCellStyle = dataGridViewCellStyle12;
             this.Column7.HeaderText = "コメント";
             this.Column7.Name = "Column7";
             this.Column7.Resizable = System.Windows.Forms.DataGridViewTriState.False;
             this.Column7.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.Column7.Width = 250;
+            this.Column7.Width = 200;
             // 
-            // Column15
-            // 
-            this.Column15.HeaderText = "貸出処理日";
-            this.Column15.Name = "Column15";
-            this.Column15.ReadOnly = true;
-            this.Column15.Visible = false;
-            // 
             // Column16
             // 
             this.Column16.HeaderText = "完了フラグ";
@@ -561,6 +571,7 @@
         private System.Windows.Forms.Label label5;
         private System.Windows.Forms.Label label7;
         private System.Windows.Forms.Label label6;
+        private System.Windows.Forms.Label lblLabel01;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column1;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column8;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column2;
@@ -568,6 +579,7 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn Column10;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column3;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column11;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column18;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column14;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column4;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column5;
@@ -576,8 +588,6 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn Column13;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column12;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column7;
-        private System.Windows.Forms.DataGridViewTextBoxColumn Column15;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column16;
-        private System.Windows.Forms.Label lblLabel01;
     }
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.resx
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.resx	(revision 308)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.resx	(revision 309)
@@ -138,6 +138,9 @@
   <metadata name="Column11.UserAddedColumn" type="System.Boolean, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
     <value>True</value>
   </metadata>
+  <metadata name="Column18.UserAddedColumn" type="System.Boolean, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+    <value>True</value>
+  </metadata>
   <metadata name="Column14.UserAddedColumn" type="System.Boolean, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
     <value>True</value>
   </metadata>
@@ -150,9 +153,6 @@
   <metadata name="Column12.UserAddedColumn" type="System.Boolean, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
     <value>True</value>
   </metadata>
-  <metadata name="Column15.UserAddedColumn" type="System.Boolean, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-    <value>True</value>
-  </metadata>
   <metadata name="Column16.UserAddedColumn" type="System.Boolean, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
     <value>True</value>
   </metadata>
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/Material/FrmMaterialHistory.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/Material/FrmMaterialHistory.cs	(revision 308)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/Material/FrmMaterialHistory.cs	(revision 309)
@@ -19,11 +19,11 @@
 using ProcessManagement.Forms.Master;
 using ProcessManagement.Forms.CustomControls;
 using ProcessManagement.Forms.ControlsAction;
-//*------------------------ 単位マスタメンテ画面 ----------------------*
+//*------------------------ 資材履歴表示画面 ----------------------------------*
 //  2015/07/14  Ver1.0.0.0      Create Source           
+//  2018/01/05  Ver2.0.0.0      画面変更
 //
 //
-//
 //*----------------------------------------------------------------------------*
 namespace ProcessManagement.Forms.SubForms
 {
Index: branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 308)
+++ branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 309)
@@ -32,7 +32,7 @@
 // すべての値を指定するか、下のように '*' を使ってビルドおよびリビジョン番号を 
 // 既定値にすることができます:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("1.0.1.25")]
-[assembly: AssemblyFileVersion("1.0.1.25")]
+[assembly: AssemblyVersion("1.0.1.26")]
+[assembly: AssemblyFileVersion("1.0.1.26")]
 // Log4netを使用する
 [assembly: log4net.Config.XmlConfigurator(ConfigFile = @"log4net.config", Watch = true)]
\ No newline at end of file