Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmEntryDeposit.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmEntryDeposit.cs	(revision 451)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmEntryDeposit.cs	(revision 452)
@@ -913,15 +913,21 @@
                 strContentText.AppendFormat("{0}様より入金がありました。\r\n", OrderersName.Text);
                 strContentText.Append("入金内容の確認をよろしくお願いします。");
 
-                // 備考があれば掲示板へ載せる
-                if (deposit.Note.Length > 0)
-                {
-                    strContentText.Append("\r\n");
-                    strContentText.Append(" \r\n");
-                    strContentText.AppendFormat("{0}/{1}:{2}", deposit.DepositDate.Month
-                                                                , deposit.DepositDate.Day
-                                                                , deposit.Note);
-                }
+                // 入金情報
+                strContentText.Append("\r\n");
+                strContentText.Append(" \r\n");
+                strContentText.Append("|  入金日 |   入金金額(現金)  |   入金金額(手形)  |   備考\r\n");
+                strContentText.Append("----------+------------------+------------------+----------\r\n");
+                strContentText.AppendFormat("|　{0}/{1}　|", deposit.DepositDate.Month.ToString("00"), deposit.DepositDate.Day.ToString("00"));
+
+                string strwrk = deposit.DepositAmountCash.ToString("#,0");
+                for (int i = 0; i < (16 - strwrk.Length); i++) strContentText.Append(" ");
+                strContentText.AppendFormat("{0}  |", strwrk);
+
+                strwrk = deposit.DepositAmountBill.ToString("#,0");
+                for (int i = 0; i < (16 - strwrk.Length); i++) strContentText.Append(" ");
+                strContentText.AppendFormat("{0}  |", strwrk);
+                strContentText.AppendFormat(" {0}", deposit.Note);
                 data.MessageContent = strContentText.ToString();
 
                 // リンク情報
@@ -967,19 +973,20 @@
                 {
                     cbiDDB.connect();
 
-                    string strSQL = "SELECT A.ConstructionCode, B.PERSONCODE SCODE, B.PERSONNAME SNAME, C.PERSONCODE CCODE, C.PERSONNAME CNAME";
-                    strSQL += " FROM CONSTRUCTIONBASEINFO P";
-                    strSQL += " INNER JOIN REQUESTHEAD H ON H.REQCONSTRUCTIONCODE = P.CONSTRUCTIONCODE";
-                    strSQL += string.Format(" AND H.ORDERERSDIVISION = {0}", deposit.OrderersDivision);
-                    strSQL += string.Format(" AND H.ORDERERSCODE = {0}", deposit.OrderersCode);
-                    strSQL += string.Format(" AND H.REQUESTMONTH = {0}", deposit.TargetDate);
-                    strSQL += " LEFT JOIN PERSONINCHARGEMASTER B ON B.PERSONCODE = P.SALESPERSONCODE";
-                    strSQL += " LEFT JOIN PERSONINCHARGEMASTER C ON C.PERSONCODE = P.CONSTRUCTIONPERSONCODE";
-                    strSQL += ", CONSTRUCTIONBASEINFODETAIL A";
-                    strSQL += " WHERE P.CONSTRUCTIONCODE = H.REQCONSTRUCTIONCODE";
-                    strSQL += string.Format(" AND A.CONSTRUCTIONCODE = P.CONSTRUCTIONCODE AND A.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName);
+                    StringBuilder strSQL = new StringBuilder();
+                    strSQL.Append("SELECT A.ConstructionCode, B.PERSONCODE SCODE, B.PERSONNAME SNAME, C.PERSONCODE CCODE, C.PERSONNAME CNAME");
+                    strSQL.Append(" FROM CONSTRUCTIONBASEINFO P");
+                    strSQL.Append(" INNER JOIN REQUESTHEAD H ON H.REQCONSTRUCTIONCODE = P.CONSTRUCTIONCODE");
+                    strSQL.AppendFormat(" AND H.ORDERERSDIVISION = {0}", deposit.OrderersDivision);
+                    strSQL.AppendFormat(" AND H.ORDERERSCODE = {0}", deposit.OrderersCode);
+                    strSQL.AppendFormat(" AND H.REQUESTMONTH = {0}", deposit.TargetDate);
+                    strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER B ON B.PERSONCODE = P.SALESPERSONCODE");
+                    strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER C ON C.PERSONCODE = P.CONSTRUCTIONPERSONCODE");
+                    strSQL.Append(", CONSTRUCTIONBASEINFODETAIL A");
+                    strSQL.Append(" WHERE P.CONSTRUCTIONCODE = H.REQCONSTRUCTIONCODE");
+                    strSQL.AppendFormat(" AND A.CONSTRUCTIONCODE = P.CONSTRUCTIONCODE AND A.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName);
                     ArrayList arList = new ArrayList();
-                    if (!cbiDDB.ExecuteReader(strSQL, ref arList)) return false;
+                    if (!cbiDDB.ExecuteReader(strSQL.ToString(), ref arList)) return false;
 
                     string ConstructionCode = string.Empty;
                     int SalesPersonCode = 0;
@@ -996,6 +1003,9 @@
                         ConstructionPersonCode = CommonMotions.cnvInt(onjwrk[3]);
                         ConstructionPersonName = CommonMotions.cnvString(onjwrk[4]);
 
+                        MessageBoardTerget[] wrkRec = terList.Cast<MessageBoardTerget>().Where(x => x.ToCode == ConstructionPersonCode).ToArray();
+                        if (wrkRec.Count() > 0) continue;
+
                         // 営業担当は掲示板データを作成しない
                         // キーコードセット
                         //wrkTer = new MessageBoardTerget();
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmMessageBoardReader.designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmMessageBoardReader.designer.cs	(revision 451)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmMessageBoardReader.designer.cs	(revision 452)
@@ -49,11 +49,11 @@
             this.lblLinkLine = new System.Windows.Forms.Label();
             this.lblComent = new System.Windows.Forms.Label();
             this.label6 = new System.Windows.Forms.Label();
+            this.btnPA = new System.Windows.Forms.Button();
             this.dgvAllDisplay = new ProcessManagement.Forms.CustomControls.DataGridViewEX();
             this.Column1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.btnPA = new System.Windows.Forms.Button();
             ((System.ComponentModel.ISupportInitialize)(this.dgvAllDisplay)).BeginInit();
             this.SuspendLayout();
             // 
@@ -137,6 +137,7 @@
             // txtMessage
             // 
             this.txtMessage.BackColor = System.Drawing.Color.White;
+            this.txtMessage.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.txtMessage.ImeMode = System.Windows.Forms.ImeMode.On;
             this.txtMessage.Location = new System.Drawing.Point(8, 377);
             this.txtMessage.Multiline = true;
@@ -257,6 +258,20 @@
             this.label6.Text = "閲覧者履歴";
             this.label6.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
+            // btnPA
+            // 
+            this.btnPA.BackColor = System.Drawing.Color.DimGray;
+            this.btnPA.ForeColor = System.Drawing.Color.White;
+            this.btnPA.Location = new System.Drawing.Point(1018, 8);
+            this.btnPA.Name = "btnPA";
+            this.btnPA.Size = new System.Drawing.Size(150, 30);
+            this.btnPA.TabIndex = 10;
+            this.btnPA.TabStop = false;
+            this.btnPA.Text = "期限チェック解除";
+            this.btnPA.UseVisualStyleBackColor = false;
+            this.btnPA.Visible = false;
+            this.btnPA.Click += new System.EventHandler(this.btnPA_Click);
+            // 
             // dgvAllDisplay
             // 
             this.dgvAllDisplay.AllowUserToAddRows = false;
@@ -323,20 +338,6 @@
             this.Column3.ReadOnly = true;
             this.Column3.Width = 180;
             // 
-            // btnPA
-            // 
-            this.btnPA.BackColor = System.Drawing.Color.DimGray;
-            this.btnPA.ForeColor = System.Drawing.Color.White;
-            this.btnPA.Location = new System.Drawing.Point(1018, 8);
-            this.btnPA.Name = "btnPA";
-            this.btnPA.Size = new System.Drawing.Size(150, 30);
-            this.btnPA.TabIndex = 10;
-            this.btnPA.TabStop = false;
-            this.btnPA.Text = "期限チェック解除";
-            this.btnPA.UseVisualStyleBackColor = false;
-            this.btnPA.Visible = false;
-            this.btnPA.Click += new System.EventHandler(this.btnPA_Click);
-            // 
             // FrmMessageBoardReader
             // 
             this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);