Index: trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsProcessExist.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsProcessExist.cs	(revision 453)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsProcessExist.cs	(revision 454)
@@ -355,6 +355,41 @@
                 string MenuProcName = "メニューへ戻る";
                 ProcList.Add(new KeyValuePair<int, string>(MenuProcNo, MenuProcName));
 
+                switch (ProductDefine.ProductType)
+                {
+                    case (int)ProductDefine.ProductTypeDef.Originals:
+                        // ----- オリジナル版
+                        GetProcessListOriginals(ref ProcList, OperationPrcess);
+                        break;
+                    case (int)ProductDefine.ProductTypeDef.MassProductionType1:
+                        // ----- 製品版
+                        GetProcessListMassProductionType1(ref ProcList, OperationPrcess);
+                        break;
+                    default:
+                        break;
+                }
+
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                BaseDB.close(); BaseDB = null;
+            }
+        }
+        #endregion
+
+        #region オリジナル版の実行可能プロセスの一覧を取得する
+        /// <summary>
+        /// オリジナル版の実行可能プロセスの一覧を取得する
+        /// </summary>
+        public static void GetProcessListOriginals(ref List<KeyValuePair<int, string>> ProcList, int OperationPrcess)
+        {
+            try
+            {
                 int ProcNo = 0;
                 // 2:工事情報入力データの存在確認
                 if (ExistBaseInfoData())
@@ -487,10 +522,121 @@
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            finally
+        }
+        #endregion
+
+        #region 製品版タイプ１の実行可能プロセスの一覧を取得する
+        /// <summary>
+        /// 製品版タイプ１の実行可能プロセスの一覧を取得する
+        /// </summary>
+        public static void GetProcessListMassProductionType1(ref List<KeyValuePair<int, string>> ProcList, int OperationPrcess)
+        {
+            try
             {
-                BaseDB.close(); BaseDB = null;
+                int ProcNo = 0;
+                // 2:工事情報入力データの存在確認
+                if (ExistBaseInfoData())
+                {
+                    ProcNo = (int)ClsExcute.ProcessExecuteNo.ConstructionBaseInfo;
+                    string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "").Replace("入力", "");
+                    ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
+                }
+                // 3:積算見積書入力データ存在確認
+                if (ExistEstimateData(OperationPrcess))
+                {
+                    ProcNo = (int)ClsExcute.ProcessExecuteNo.EstimateInput;
+                    string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "").Replace("入力", "");
+                    ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
+                }
+                // 4:積算見積書印刷データ存在確認
+                if (ExistEstimateDataPrint())
+                {
+                    ProcNo = (int)ClsExcute.ProcessExecuteNo.EstimatePrint;
+                    string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "").Replace("入力", "");
+                    ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
+                }
+                // 5:積算予算書入力データ存在確認
+                if (ExistEstimateBudget(OperationPrcess))
+                {
+                    ProcNo = (int)ClsExcute.ProcessExecuteNo.EstimateBudget;
+                    string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "").Replace("入力", "");
+                    ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
+                }
+                // 6:工事予算書入力データ存在確認
+                if (ExistConstructionBudget())
+                {
+                    ProcNo = (int)ClsExcute.ProcessExecuteNo.ConstructionBudget;
+                    string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "").Replace("入力", "");
+                    ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
+                }
+                // 8:工事案件コピー機能データ存在確認
+                if (ExistConstructionDataCopy())
+                {
+                    ProcNo = (int)ClsExcute.ProcessExecuteNo.ConstructionCopyList;
+                    string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "").Replace("入力", "");
+                    ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
+                }
+                // 9:注文書入力データ存在確認
+                if (ExistPurchaseOrder())
+                {
+                    ProcNo = (int)ClsExcute.ProcessExecuteNo.PurchaseOrderEntry;
+                    string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "").Replace("入力", "");
+                    ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
+                }
+                //10:注文書印刷データ存在確認
+                if (ExistPurchasePrint())
+                {
+                    ProcNo = (int)ClsExcute.ProcessExecuteNo.PurchaseOrderPrint;
+                    string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "").Replace("入力", "");
+                    ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
+                }
+                // 13:工事詳細台帳
+                if (ExistConstructionLedger())
+                {
+                    ProcNo = (int)ClsExcute.ProcessExecuteNo.ConstructionLedger;
+                    string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "").Replace("入力", "");
+                    ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
+                }
+                // 31:請求入力データ存在確認
+                if (ExistRequestInput())
+                {
+                    ProcNo = (int)ClsExcute.ProcessExecuteNo.RequestInput;
+                    string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "").Replace("入力", "");
+                    ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
+                }
+                // 32:請求書印刷データ存在確認
+                if (ExistRequestPrint())
+                {
+                    ProcNo = (int)ClsExcute.ProcessExecuteNo.RequestPrint;
+                    string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "").Replace("入力", "");
+                    ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
+                }
+                // 30:入金入力データ存在確認
+                if (ExistPaymentConf())
+                {
+                    ProcNo = (int)ClsExcute.ProcessExecuteNo.PaymentConfirmation;
+                    string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "").Replace("入力", "");
+                    ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
+                }
+                // 16:工事日報入力
+                if (ExistDRConstruction())
+                {
+                    ProcNo = (int)ClsExcute.ProcessExecuteNo.DRConstruction;
+                    string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "").Replace("入力", "");
+                    ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
+                }
+                // 17:打合せ議事録入力
+                if (ExistProceedings())
+                {
+                    ProcNo = (int)ClsExcute.ProcessExecuteNo.Proceedings;
+                    string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "").Replace("入力", "");
+                    ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
+                }
             }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
         }
         #endregion
 
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmEntryDeposit.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmEntryDeposit.cs	(revision 453)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmEntryDeposit.cs	(revision 454)
@@ -907,10 +907,10 @@
                 data.FromCode = CommonMotions.LoginUserData.PersonCode;
                 data.FromName = CommonMotions.LoginUserData.PersonName;
 
-                data.MessageTitle = string.Format("入金確認（{0}）", OrderersName.Text);
+                data.MessageTitle = string.Format("入金確認（{0}）", OrderersName.Text.Trim());
 
                 StringBuilder strContentText = new StringBuilder();
-                strContentText.AppendFormat("{0}様より入金がありました。\r\n", OrderersName.Text);
+                strContentText.AppendFormat("{0}様より入金がありました。\r\n", OrderersName.Text.Trim());
                 strContentText.Append("入金内容の確認をよろしくお願いします。");
 
                 // 入金情報