Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ApprovalScreen/FrmAppScrnAux.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ApprovalScreen/FrmAppScrnAux.cs	(revision 480)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ApprovalScreen/FrmAppScrnAux.cs	(revision 481)
@@ -65,7 +65,7 @@
 
                     case (int)ClsExcute.ApprovalListNo.OrderRequestApproval:
                         //  請求承認を承認時に工事詳細台帳請求金額セットする
-                        CaretaBillingLedgerData();
+                        //CaretaBillingLedgerData();
                         break;
 
                     case (int)ClsExcute.ApprovalListNo.SafetyPatrolApproval:
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ReqBillingStatInput/FrmBillingStatInput.designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ReqBillingStatInput/FrmBillingStatInput.designer.cs	(revision 480)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ReqBillingStatInput/FrmBillingStatInput.designer.cs	(revision 481)
@@ -150,7 +150,7 @@
             this.label7.Name = "label7";
             this.label7.Size = new System.Drawing.Size(114, 25);
             this.label7.TabIndex = 39;
-            this.label7.Text = "郵　送　日";
+            this.label7.Text = "提　出　日";
             this.label7.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
             // label2
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ReqbillingStatus/FrmReqBillingStatus.designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ReqbillingStatus/FrmReqBillingStatus.designer.cs	(revision 480)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ReqbillingStatus/FrmReqBillingStatus.designer.cs	(revision 481)
@@ -28,19 +28,19 @@
         /// </summary>
         private void InitializeComponent()
         {
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle14 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle15 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle26 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle16 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle17 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle18 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle19 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle20 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle21 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle22 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle23 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle24 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle25 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle1 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle2 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle13 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle3 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle4 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle5 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle6 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle7 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle8 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle9 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle10 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle11 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle12 = new System.Windows.Forms.DataGridViewCellStyle();
             this.btnEnd = new System.Windows.Forms.Button();
             this.label1 = new System.Windows.Forms.Label();
             this.btnDataUpDate = new System.Windows.Forms.Button();
@@ -57,6 +57,7 @@
             this.cmbDepartment = new ProcessManagement.Forms.CustomControls.ComboBoxEX();
             this.label2 = new System.Windows.Forms.Label();
             this.dgvMaster = new ProcessManagement.Forms.CustomControls.DataGridViewEX();
+            this.btnHelp = new System.Windows.Forms.Button();
             this.Column1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column12 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column8 = new System.Windows.Forms.DataGridViewTextBoxColumn();
@@ -70,7 +71,6 @@
             this.Column5 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column13 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column11 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.btnHelp = new System.Windows.Forms.Button();
             this.groupBox1.SuspendLayout();
             ((System.ComponentModel.ISupportInitialize)(this.numUDConstPro)).BeginInit();
             ((System.ComponentModel.ISupportInitialize)(this.dgvMaster)).BeginInit();
@@ -282,21 +282,21 @@
             this.dgvMaster.AllowUserToDeleteRows = false;
             this.dgvMaster.AllowUserToResizeColumns = false;
             this.dgvMaster.AllowUserToResizeRows = false;
-            dataGridViewCellStyle14.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(192)))), ((int)(((byte)(255)))), ((int)(((byte)(192)))));
-            this.dgvMaster.AlternatingRowsDefaultCellStyle = dataGridViewCellStyle14;
+            dataGridViewCellStyle1.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(192)))), ((int)(((byte)(255)))), ((int)(((byte)(192)))));
+            this.dgvMaster.AlternatingRowsDefaultCellStyle = dataGridViewCellStyle1;
             this.dgvMaster.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
             | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
             this.dgvMaster.BackgroundColor = System.Drawing.Color.White;
             this.dgvMaster.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            dataGridViewCellStyle15.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle15.BackColor = System.Drawing.SystemColors.Control;
-            dataGridViewCellStyle15.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle15.ForeColor = System.Drawing.SystemColors.WindowText;
-            dataGridViewCellStyle15.SelectionBackColor = System.Drawing.SystemColors.Highlight;
-            dataGridViewCellStyle15.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
-            dataGridViewCellStyle15.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
-            this.dgvMaster.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle15;
+            dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle2.BackColor = System.Drawing.SystemColors.Control;
+            dataGridViewCellStyle2.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle2.ForeColor = System.Drawing.SystemColors.WindowText;
+            dataGridViewCellStyle2.SelectionBackColor = System.Drawing.SystemColors.Highlight;
+            dataGridViewCellStyle2.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
+            dataGridViewCellStyle2.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
+            this.dgvMaster.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle2;
             this.dgvMaster.ColumnHeadersHeight = 24;
             this.dgvMaster.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
             this.dgvMaster.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
@@ -313,14 +313,14 @@
             this.Column5,
             this.Column13,
             this.Column11});
-            dataGridViewCellStyle26.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
-            dataGridViewCellStyle26.BackColor = System.Drawing.SystemColors.Window;
-            dataGridViewCellStyle26.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle26.ForeColor = System.Drawing.SystemColors.ControlText;
-            dataGridViewCellStyle26.SelectionBackColor = System.Drawing.Color.LightSeaGreen;
-            dataGridViewCellStyle26.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
-            dataGridViewCellStyle26.WrapMode = System.Windows.Forms.DataGridViewTriState.False;
-            this.dgvMaster.DefaultCellStyle = dataGridViewCellStyle26;
+            dataGridViewCellStyle13.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
+            dataGridViewCellStyle13.BackColor = System.Drawing.SystemColors.Window;
+            dataGridViewCellStyle13.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle13.ForeColor = System.Drawing.SystemColors.ControlText;
+            dataGridViewCellStyle13.SelectionBackColor = System.Drawing.Color.LightSeaGreen;
+            dataGridViewCellStyle13.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
+            dataGridViewCellStyle13.WrapMode = System.Windows.Forms.DataGridViewTriState.False;
+            this.dgvMaster.DefaultCellStyle = dataGridViewCellStyle13;
             this.dgvMaster.EditMode = System.Windows.Forms.DataGridViewEditMode.EditOnEnter;
             this.dgvMaster.EnableHeadersVisualStyles = false;
             this.dgvMaster.Location = new System.Drawing.Point(8, 101);
@@ -337,10 +337,25 @@
             this.dgvMaster.SelectionChanged += new System.EventHandler(this.dgvMaster_SelectionChanged);
             this.dgvMaster.MouseUp += new System.Windows.Forms.MouseEventHandler(this.dgvMaster_MouseUp);
             // 
+            // btnHelp
+            // 
+            this.btnHelp.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
+            this.btnHelp.BackColor = System.Drawing.Color.Black;
+            this.btnHelp.Font = new System.Drawing.Font("MS UI Gothic", 18F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnHelp.ForeColor = System.Drawing.Color.White;
+            this.btnHelp.Location = new System.Drawing.Point(1249, 0);
+            this.btnHelp.Name = "btnHelp";
+            this.btnHelp.Size = new System.Drawing.Size(30, 30);
+            this.btnHelp.TabIndex = 116;
+            this.btnHelp.TabStop = false;
+            this.btnHelp.Text = "？";
+            this.btnHelp.UseVisualStyleBackColor = false;
+            this.btnHelp.Click += new System.EventHandler(this.btnHelp_Click);
+            // 
             // Column1
             // 
-            dataGridViewCellStyle16.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            this.Column1.DefaultCellStyle = dataGridViewCellStyle16;
+            dataGridViewCellStyle3.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.Column1.DefaultCellStyle = dataGridViewCellStyle3;
             this.Column1.HeaderText = "№";
             this.Column1.Name = "Column1";
             this.Column1.ReadOnly = true;
@@ -350,8 +365,8 @@
             // 
             // Column12
             // 
-            dataGridViewCellStyle17.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            this.Column12.DefaultCellStyle = dataGridViewCellStyle17;
+            dataGridViewCellStyle4.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.Column12.DefaultCellStyle = dataGridViewCellStyle4;
             this.Column12.HeaderText = "請求月";
             this.Column12.Name = "Column12";
             this.Column12.ReadOnly = true;
@@ -361,9 +376,9 @@
             // 
             // Column8
             // 
-            dataGridViewCellStyle18.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle18.Font = new System.Drawing.Font("Century", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-            this.Column8.DefaultCellStyle = dataGridViewCellStyle18;
+            dataGridViewCellStyle5.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle5.Font = new System.Drawing.Font("Century", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.Column8.DefaultCellStyle = dataGridViewCellStyle5;
             this.Column8.HeaderText = "発　給　日";
             this.Column8.Name = "Column8";
             this.Column8.ReadOnly = true;
@@ -373,8 +388,8 @@
             // 
             // Column10
             // 
-            dataGridViewCellStyle19.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            this.Column10.DefaultCellStyle = dataGridViewCellStyle19;
+            dataGridViewCellStyle6.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.Column10.DefaultCellStyle = dataGridViewCellStyle6;
             this.Column10.HeaderText = "部　　署";
             this.Column10.Name = "Column10";
             this.Column10.ReadOnly = true;
@@ -384,8 +399,8 @@
             // 
             // Column6
             // 
-            dataGridViewCellStyle20.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            this.Column6.DefaultCellStyle = dataGridViewCellStyle20;
+            dataGridViewCellStyle7.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.Column6.DefaultCellStyle = dataGridViewCellStyle7;
             this.Column6.HeaderText = "担　当　者";
             this.Column6.Name = "Column6";
             this.Column6.ReadOnly = true;
@@ -396,8 +411,8 @@
             // 
             // Column4
             // 
-            dataGridViewCellStyle21.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
-            this.Column4.DefaultCellStyle = dataGridViewCellStyle21;
+            dataGridViewCellStyle8.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
+            this.Column4.DefaultCellStyle = dataGridViewCellStyle8;
             this.Column4.HeaderText = "宛　名";
             this.Column4.Name = "Column4";
             this.Column4.ReadOnly = true;
@@ -416,9 +431,9 @@
             // 
             // Column3
             // 
-            dataGridViewCellStyle22.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            dataGridViewCellStyle22.Font = new System.Drawing.Font("Century", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-            this.Column3.DefaultCellStyle = dataGridViewCellStyle22;
+            dataGridViewCellStyle9.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle9.Font = new System.Drawing.Font("Century", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.Column3.DefaultCellStyle = dataGridViewCellStyle9;
             this.Column3.HeaderText = "請求金額";
             this.Column3.Name = "Column3";
             this.Column3.ReadOnly = true;
@@ -428,8 +443,8 @@
             // 
             // Column2
             // 
-            dataGridViewCellStyle23.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            this.Column2.DefaultCellStyle = dataGridViewCellStyle23;
+            dataGridViewCellStyle10.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.Column2.DefaultCellStyle = dataGridViewCellStyle10;
             this.Column2.HeaderText = "工事コード";
             this.Column2.Name = "Column2";
             this.Column2.ReadOnly = true;
@@ -440,9 +455,9 @@
             // 
             // Column9
             // 
-            dataGridViewCellStyle24.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle24.Font = new System.Drawing.Font("Century", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-            this.Column9.DefaultCellStyle = dataGridViewCellStyle24;
+            dataGridViewCellStyle11.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle11.Font = new System.Drawing.Font("Century", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.Column9.DefaultCellStyle = dataGridViewCellStyle11;
             this.Column9.HeaderText = "請求承認日";
             this.Column9.Name = "Column9";
             this.Column9.ReadOnly = true;
@@ -453,10 +468,10 @@
             // 
             // Column5
             // 
-            dataGridViewCellStyle25.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle25.Font = new System.Drawing.Font("Century", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-            this.Column5.DefaultCellStyle = dataGridViewCellStyle25;
-            this.Column5.HeaderText = "郵　送　日";
+            dataGridViewCellStyle12.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle12.Font = new System.Drawing.Font("Century", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.Column5.DefaultCellStyle = dataGridViewCellStyle12;
+            this.Column5.HeaderText = "提　出　日";
             this.Column5.Name = "Column5";
             this.Column5.ReadOnly = true;
             this.Column5.Resizable = System.Windows.Forms.DataGridViewTriState.False;
@@ -482,21 +497,6 @@
             this.Column11.Visible = false;
             this.Column11.Width = 160;
             // 
-            // btnHelp
-            // 
-            this.btnHelp.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-            this.btnHelp.BackColor = System.Drawing.Color.Black;
-            this.btnHelp.Font = new System.Drawing.Font("MS UI Gothic", 18F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnHelp.ForeColor = System.Drawing.Color.White;
-            this.btnHelp.Location = new System.Drawing.Point(1249, 0);
-            this.btnHelp.Name = "btnHelp";
-            this.btnHelp.Size = new System.Drawing.Size(30, 30);
-            this.btnHelp.TabIndex = 116;
-            this.btnHelp.TabStop = false;
-            this.btnHelp.Text = "？";
-            this.btnHelp.UseVisualStyleBackColor = false;
-            this.btnHelp.Click += new System.EventHandler(this.btnHelp_Click);
-            // 
             // FrmReqBillingStatus
             // 
             this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
@@ -549,6 +549,7 @@
         private System.Windows.Forms.RadioButton radioButton2;
         private System.Windows.Forms.RadioButton radioButton1;
         private System.Windows.Forms.Label lblCellTotal;
+        private System.Windows.Forms.Button btnHelp;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column1;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column12;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column8;
@@ -562,6 +563,5 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn Column5;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column13;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column11;
-        private System.Windows.Forms.Button btnHelp;
     }
 }
\ No newline at end of file
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.cs	(revision 480)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.cs	(revision 481)
@@ -643,6 +643,7 @@
                  }
                 return;
             }
+            m_bDirty = true;
         }
         #endregion
 
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInputAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInputAuxiliary.cs	(revision 480)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInputAuxiliary.cs	(revision 481)
@@ -1390,22 +1390,23 @@
                                                                     .Sum(y => CommonMotions.cnvLong(y.Cells[nCol].Value));
 
                 // 請求金額有は正常終了
-                if (lTotal > 0) return true;
+                //if (lTotal > 0) return true;
 
-                // 請求金額０以下はエラー
-                for (int i = ((int)HeaderRowIndex.BillingDate + 1); i < dgv.RowCount; i++)
-                {
-                    DataGridViewRow CurRow = dgv.Rows[i];
+                //// 請求金額０以下はエラー
+                //for (int i = ((int)HeaderRowIndex.BillingDate + 1); i < dgv.RowCount; i++)
+                //{
+                //    DataGridViewRow CurRow = dgv.Rows[i];
 
-                    int nDgvKind = CommonMotions.cnvInt(CurRow.Cells[(int)ColumnName1.DgvKind].Value);
-                    if (nDgvKind == (int)dgvKind.Header || nDgvKind == (int)dgvKind.Footer) continue;
+                //    int nDgvKind = CommonMotions.cnvInt(CurRow.Cells[(int)ColumnName1.DgvKind].Value);
+                //    if (nDgvKind == (int)dgvKind.Header || nDgvKind == (int)dgvKind.Footer) continue;
 
-                    CurRow.Cells[nCol].Style.BackColor = Color.Red;
-                }
+                //    CurRow.Cells[nCol].Style.BackColor = Color.Red;
+                //}
 
-                ShowMessageBox("請求金額を入力してください。", "入力エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                return false;
+                //ShowMessageBox("請求金額を入力してください。", "入力エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                //return false;
 
+                return true;
             }
             catch (Exception ex)
             {
@@ -2564,18 +2565,18 @@
                         SetAmount((int)ColumnName1.ConstrAmount, trow, lAmount);
 
                         // 消費税
-                        lAmount = 0;
-                        for (int i = 0; i < m_nMaxOrderNo; i++)
-                        {
-                            Dictionary<int, List<RequestDataDetail>> dic = m_lstRequestDataDetail[i];
+                        //lAmount = 0;
+                        //for (int i = 0; i < m_nMaxOrderNo; i++)
+                        //{
+                        //    Dictionary<int, List<RequestDataDetail>> dic = m_lstRequestDataDetail[i];
 
-                            if (dic.TryGetValue(ReqDetail.ConstructionCode, out List<RequestDataDetail> wrklst))
-                            {
-                                if (dic == null) break;
-                                lAmount += wrklst.Sum(y => y.TaxAmount);
-                            }
-                        }
-                        if (lAmount == 0)
+                        //    if (dic.TryGetValue(ReqDetail.ConstructionCode, out List<RequestDataDetail> wrklst))
+                        //    {
+                        //        if (dic == null) break;
+                        //        lAmount += wrklst.Sum(y => y.TaxAmount);
+                        //    }
+                        //}
+                        //if (lAmount == 0)
                             lAmount = (long)inf.OrdersDecisionPriceInTax - (long)inf.OrdersDecisionPrice;
                         SetAmount((int)ColumnName1.ConstrAmount, trow + 1, lAmount);
 
@@ -3626,12 +3627,14 @@
             IORequestHead ioReqHead = new IORequestHead();
             IORequestData ioReqData = new IORequestData();
             IORequestDataDetail ioReqDetail = new IORequestDataDetail();
+            IOConstructionLedgerExcute ioLedger = new IOConstructionLedgerExcute();
 
             ioReqHead.connect(); ioReqHead.beginTran();
             ioReqData.connect(); ioReqData.beginTran();
             ioReqDetail.connect(); ioReqDetail.beginTran();
+            ioLedger.connect(); ioLedger.beginTran();
 
-            RequestHead ReqHead = m_lstRequestHead[m_nMaxOrderNo - 1];
+             RequestHead ReqHead = m_lstRequestHead[m_nMaxOrderNo - 1];
 
             bool bRet = true;
             try
@@ -3782,10 +3785,22 @@
                     return bRet;
                 }
 
+                // 台帳金額加算
+                if(!UpdateLedger(ioLedger, ioReqHead))
+                {
+                    MessageBox.Show("工事台帳更新エラー"
+                                    , "登録エラー"
+                                    , MessageBoxButtons.OK
+                                    , MessageBoxIcon.Error);
+                    bRet = false;
+                    return bRet;
+                }
+
                 // コミット
                 ioReqHead.commit();
                 ioReqData.commit();
                 ioReqDetail.commit();
+                ioLedger.commit();
 
                 return true;
             }
@@ -3801,15 +3816,73 @@
                     ioReqHead.rollback();
                     ioReqData.rollback();
                     ioReqDetail.rollback();
+                    ioLedger.rollback();
                 }
 
                 ioReqHead.close(); ioReqHead = null;
                 ioReqData.close(); ioReqData = null;
                 ioReqDetail.close(); ioReqDetail = null;
+                ioLedger.close(); ioLedger = null;
             }
         }
         #endregion
 
+        #region 工事台帳更新処理
+        /// <summary>
+        /// 工事台帳更新処理
+        /// </summary>
+        /// <param name="ioLedger"></param>
+        /// <returns></returns>
+        private bool UpdateLedger(IOConstructionLedgerExcute ioLedger, IORequestHead ioReqHead)
+        {
+            try
+            {
+                int tcol = m_nMaxOrderNo + (int)ColumnName1.Sum;
+                DateTime dtRequest = CommonMotions.cnvDate(dgv1.Rows[(int)HeaderRowIndex.BillingDate].Cells[tcol].Value);
+                int ColPoint = ClsChangeLedgerData.CalcTargetMonthToColumn(ioLedger, false, m_ConstructionCode, dtRequest);
+
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append(ioLedger.CreatePrimarykeyString(m_ConstructionCode
+                                                                , (int)FrmConstructionLedger.DataGroup.BillingAmount
+                                                                , 0
+                                                                , ColPoint));
+                // 対象データ削除
+                ioLedger.DeleteAction(strSQL.ToString(), false);
+
+                // 請求金額取得
+                strSQL.Clear();
+                strSQL.Append("Select");
+                strSQL.Append(" SUM(REQUESTAMOUNT)");
+                strSQL.Append(" From REQUESTHEAD");
+                strSQL.AppendFormat(" Where REQCONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                strSQL.AppendFormat(" And REQUESTMONTH = {0}{1}", dtRequest.Year, dtRequest.Month.ToString("00"));
+                ArrayList ReqData = new ArrayList();
+                if (!ioReqHead.ExecuteReader(strSQL.ToString(), ref ReqData, false)) return false;
+                if (ReqData.Count < 1) return false;
+
+                object[] objRec = (object[])ReqData[0];
+                long lValue = CommonMotions.cnvLong(objRec[0]);
+                if (lValue == 0) return true;
+
+                ConstructionLedgerExcute DataRec = new ConstructionLedgerExcute();
+                DataRec.ConstructionCode = m_ConstructionCode;
+                DataRec.GroupCount = (int)FrmConstructionLedger.DataGroup.BillingAmount;
+                //DataRec.LineCount
+                DataRec.ColumnCount = ColPoint;
+                DataRec.PaymentAmount = lValue;
+                DataRec.TargetMonth = dtRequest.BeginOfMonth();
+                if (!ioLedger.InsertAction(DataRec, false)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
         #region 請求データリストの設定
         /// <summary>
         /// 請求データリストの設定
@@ -4568,21 +4641,10 @@
                 if (!CheckApprovalOrder()) return false;
 
                 // 請求データが無い場合は登録する
-                m_bDirty = CheckDataExists();
+                //m_bDirty = CheckDataExists();
 
-                // データ変更有時はデータ登録
-                if (m_bDirty)
-                {
-                    if (ShowMessageBox("データが保存されます。よろしいでしょうか？"
-                                        , "保存確認"
-                                        , MessageBoxButtons.YesNo
-                                        , MessageBoxIcon.Information) == DialogResult.No)
-                    {
-                        return false;
-                    }
-                    // データ保存
-                    if (!AcceptData()) return false;
-                }
+                // データ保存
+                if (!AcceptData()) return false;
 
                 // 起動番号
                 int NowPoint = ClsExcute.NextProcess((int)ClsExcute.SubFormExecuteNo.ApprovalScreen);